'\" rtp
.\" -*- nroff -*- vim: ft=nroff nocin nosi
.\"
.\" @(#) tstmod.4.man,v 0.9.2.1 2006/10/03 13:24:15 brian Exp
.\"
.\" =========================================================================
.\"
.\" Copyright (c) 2001-2006  OpenSS7 Corporation <http://www.openss7.com/>
.\"
.\" All Rights Reserved.
.\"
.\" Permission is granted to make and distribute verbatim copies of this
.\" manual provided the copyright notice and this permission notice are
.\" preserved on all copies.
.\"
.\" Permission is granted to copy and distribute modified versions of this
.\" manual under the conditions for verbatim copying, provided that the
.\" entire resulting derived work is distributed under the terms of a
.\" permission notice identical to this one
.\" 
.\" Since the Linux kernel and libraries are constantly changing, this
.\" manual page may be incorrect or out-of-date.  The author(s) assume no
.\" responsibility for errors or omissions, or for damages resulting from
.\" the use of the information contained herein.  The author(s) may not
.\" have taken the same level of care in the production of this manual,
.\" which is licensed free of charge, as they might when working
.\" professionally.  The author(s) will take no responsibility in it.
.\" 
.\" Formatted or processed versions of this manual, if unaccompanied by
.\" the source, must acknowledge the copyright and authors of this work.
.\"
.\" -------------------------------------------------------------------------
.\"
.\" U.S. GOVERNMENT RESTRICTED RIGHTS.  If you are licensing this Software
.\" on behalf of the U.S. Government ("Government"), the following
.\" provisions apply to you.  If the Software is supplied by the Department
.\" of Defense ("DoD"), it is classified as "Commercial Computer Software"
.\" under paragraph 252.227-7014 of the DoD Supplement to the Federal
.\" Acquisition Regulations ("DFARS") (or any successor regulations) and the
.\" Government is acquiring only the license rights granted herein (the
.\" license rights customarily provided to non-Government users).  If the
.\" Software is supplied to any unit or agency of the Government other than
.\" DoD, it is classified as "Restricted Computer Software" and the
.\" Government's rights in the Software are defined in paragraph 52.227-19
.\" of the Federal Acquisition Regulations ("FAR") (or any successor
.\" regulations) or, in the cases of NASA, in paragraph 18.52.227-86 of the
.\" NASA Supplement to the FAR (or any successor regulations).
.\"
.\" =========================================================================
.\" 
.\" Commercial licensing and support of this software is available from
.\" OpenSS7 Corporation at a fee.  See http://www.openss7.com/
.\" 
.\" =========================================================================
.\"
.\" Last Modified 2006/10/03 13:24:15 by brian
.\"
.\" -------------------------------------------------------------------------
.\"
.\" tstmod.4.man,v
.\" Revision 0.9.2.1  2006/10/03 13:24:15  brian
.\" - file additions and removals for make check target
.\"
.\" Revision 0.9.2.1  2006/09/29 11:40:00  brian
.\" - new files for strtty package and manual pages
.\"
.\" =========================================================================
.R1
bracket-label "\fR[\fB" "\fR]" "\fR, \fB"
no-default-database
database strbcm.refs
accumulate
move-punctuation
abbreviate A
join-authors ", " ", " " and "
et-al " et al" 2 3
abbreviate-label-ranges ".."
sort-adjacent-labels
.R2
.so strbcm.macros
.\"
.\"
.TH TSTMOD 4 "@PACKAGE_DATE@" "@PACKAGE@-@VERSION@" "@PACKAGE_TITLE@ Devices"
.\"
.\"
.SH NAME
.B tstmod
\- \fISTREAMS\fR test module
.\"
.\"
.SH SYNOPSIS
.PP
.HP 8
.BI "int ioctl(" fd ", " I_PUSH ", " \*(lqtstmod\*(rq );
.\"
.\"
.SH DESCRIPTION
.PP
.B tstmod
is a
.I STREAMS
module used as a test module for the
.I @PACKAGE_TITLE@
package.
.\"
.\"
.SH USAGE
.PP
.B tstmod
is used more for testing linking of binary modules rather then as a module to
test user programs against.
.\"
.\"
.SH MODULES
.PP
.B tstmod
is a
.I STREAMS
module named
.IR \*(lqtstmod\*(rq .
.\"
.\"
.SH "SEE ALSO"
.PP
.BR ioctl (2s),
.BR streamio (7).
.\"
.\"
.SH BUGS
.PP
.B tstmod
has no known bugs.
.\"
.\"
.SH COMPATIBILITY
.PP
.B tstmod
is compatible with
.BR "Linux Fast-STREAMS" .
.[
lfs
.]
.PP
See
.BR STREAMS (9)
for additional compatibility information.
.\"
.\"
.SH CONFORMANCE
.PP
SVR 4.2,
.[
svr42
.]
SVID,
.[
svid
.]
XID,
.[
xbd5
.]
SUSv2,
.[
susv2
.]
SUSv3.
.[
susv3
.]
Conformance is verified using the
.BR test-tstmod (8)
verification test suite.
.\"
.\"
.SH HISTORY
.PP
.B tstmod
first appeared in SVR 4.
.[
svr4
.]
.\"
.\"
.[
$LIST$
.]
.TI
